<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import type { Member } from '@/types/Member'
import { ref } from 'vue'

const memberStore = useMemberStore()
//const newMemberTel = ref('');

/*const saveNewMember = () => {
  const newMember: Member = {
    id: Math.max(...memberStore.members.map((m) => m.id)) + 1,
    name: memberStore.addMember().name,
    tel: newMemberTel.value,
    point: 0,
  };

  memberStore.addMember(newMember);
  memberStore.newMemberDialog = false;
};*/

const saveAndAlert = async () => {
  await memberStore.save()
  window.alert('New member saved successfully!')
}
</script>

<template>
  <v-row>
    <v-dialog v-model="memberStore.newMemberDialog" persistent width="800">
      <template v-slot:activator="{ props }">
        <v-col cols="12">
          <v-btn
            class="align-right"
            variant="plain"
            v-bind="props"
            elevation="4"
            size="large"
            prepend-icon="mdi-account-plus"
            block
            rounded="xl"
            >New Member</v-btn
          >
        </v-col>
      </template>
      <v-card>
        <v-card-title>
          <span class="text-h5">New Member</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-row>
              <v-col cols="12" sm="6" md="4">
                <v-text-field v-model="memberStore.editedItem.name" label="Name"></v-text-field>
              </v-col>
              <v-col cols="12" sm="6" md="4">
                <v-text-field v-model="memberStore.editedItem.tel" label="Tel."></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn variant="text" @click="memberStore.newMemberDialog = false"> Close </v-btn>
          <v-btn variant="text" @click="saveAndAlert"> Save </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style scoped>
.v-btn {
  background-color: #ffcb5e;
  border-radius: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}
</style>
